Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(9)

Issue 300233002: [hunspell] Fix read from uninit memory. (Closed)

Created:
4 years, 11 months ago by groby-ooo-7-16
Modified:
4 years, 11 months ago
CC:
please use gerrit instead
Base URL:
https://chromium.googlesource.com/chromium/deps/hunspell.git@master
Visibility:
Public.

Description

[hunspell] Fix read from uninit memory. BUG=377728 R=avi@chromium.org, rlp@chromium.org TBR=darin@chromium.org Committed: 273952

Patch Set 1 #

Total comments: 2

Patch Set 2 : Now with real patch. #

Patch Set 3 : Updated instructions. #

Total comments: 1

Patch Set 4 : Fix nit. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+35 lines, -17 lines) Patch
M README.chromium View 1 2 2 chunks +2 lines, -1 line 0 comments Download
M google.patch View 1 2 3 12 chunks +31 lines, -12 lines 0 comments Download
M src/hunspell/suggestmgr.cxx View 1 2 3 1 chunk +2 lines, -4 lines 0 comments Download

Messages

Total messages: 17 (0 generated)
groby-ooo-7-16
rlp: Sorry, uploaded to wrong codereview :( darin: TBR
4 years, 11 months ago (2014-05-27 18:44:54 UTC) #1
rpetterson
lgtm
4 years, 11 months ago (2014-05-27 19:11:41 UTC) #2
groby-ooo-7-16
The CQ bit was checked by groby@chromium.org
4 years, 11 months ago (2014-05-27 19:13:00 UTC) #3
commit-bot: I haz the power
The CQ bit was unchecked by commit-bot@chromium.org
4 years, 11 months ago (2014-05-27 19:15:09 UTC) #4
commit-bot: I haz the power
Commit queue rejected this change because it did not recognize the base URL. Please commit ...
4 years, 11 months ago (2014-05-27 19:15:12 UTC) #5
Avi (use Gerrit)
nope. https://codereview.chromium.org/300233002/diff/1/src/hunspell/suggestmgr.cxx File src/hunspell/suggestmgr.cxx (right): https://codereview.chromium.org/300233002/diff/1/src/hunspell/suggestmgr.cxx#newcode2112 src/hunspell/suggestmgr.cxx:2112: b = (char *) calloc((m + 1) * ...
4 years, 11 months ago (2014-05-27 20:04:04 UTC) #6
Avi (use Gerrit)
not lgtm this won't compile.
4 years, 11 months ago (2014-05-27 20:05:42 UTC) #7
Avi (use Gerrit)
https://codereview.chromium.org/300233002/diff/1/src/hunspell/suggestmgr.cxx File src/hunspell/suggestmgr.cxx (right): https://codereview.chromium.org/300233002/diff/1/src/hunspell/suggestmgr.cxx#newcode2120 src/hunspell/suggestmgr.cxx:2120: for (j = 0; j <= n; j++) c[j] ...
4 years, 11 months ago (2014-05-27 20:11:40 UTC) #8
groby-ooo-7-16
Lost in a maze of patch directories, all alike. Actual version uploaded. PTAL
4 years, 11 months ago (2014-05-27 20:34:41 UTC) #9
groby-ooo-7-16
Also with amended instructions, hopefully a bit clearer.
4 years, 11 months ago (2014-05-27 20:36:44 UTC) #10
Avi (use Gerrit)
LGTM with nit. Did you update the upstream patch? That one was wrong too. https://codereview.chromium.org/300233002/diff/40001/src/hunspell/suggestmgr.cxx ...
4 years, 11 months ago (2014-05-27 20:40:48 UTC) #11
groby-ooo-7-16
Fixed - holding back on the commit for a second or three since it _might_ ...
4 years, 11 months ago (2014-05-29 01:43:53 UTC) #12
groby-ooo-7-16
It's a correct leak indication, caused by a compiler bug. Landing, since this patch at ...
4 years, 11 months ago (2014-05-30 17:05:52 UTC) #13
groby-ooo-7-16
The CQ bit was checked by groby@chromium.org
4 years, 11 months ago (2014-05-30 17:05:57 UTC) #14
commit-bot: I haz the power
The CQ bit was unchecked by commit-bot@chromium.org
4 years, 11 months ago (2014-05-30 17:06:09 UTC) #15
commit-bot: I haz the power
Commit queue rejected this change because it did not recognize the base URL. Please commit ...
4 years, 11 months ago (2014-05-30 17:06:12 UTC) #16
groby-ooo-7-16
4 years, 11 months ago (2014-05-31 00:11:53 UTC) #17
Message was sent while issue was closed.
Committed patchset #4 manually as r273952 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698